Tryton - Issues

 

Issue7204

Title sale_advance_payment domain invalid on AdvancePaymentTermLine account for account_fr
Priority bug Status closed
Superseder Allow 'other' in invoice line account
View: 3229
Nosy List ced, risto3, yangoon
Type Components account_fr, sale_advance_payment
Assigned To Keywords
Reviews

Created on 2018-03-09.12:21:02 by risto3, last changed by ced.

Messages
msg40446 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-04-28.11:46:13
I think this issue will be solved by issue4990 which propose to remove the kind property.
msg38899 (view) Author: [hidden] (risto3) Date: 2018-03-09.15:30:18
There are then at least two clear problems:

1. overloading the meaning of names used in these static kinds of accounts creates nothing more but confusion, misery and havoc...

2. At least for the French Plan delivered by Tryton, the user has to 'fix' accounts which are clearly defined by the French PCG, and must do so in a 1) compliant manner... proves to be a non-trivial task given the limited set of terms 

Since the discussion is around sales/purchases/invoices, and given issue3229 says to avoid using 'other', there seems no simple alternative other than to define at least a new kind or two of 'other': perhaps 'other_asset_or_liability' or both 'other_asset' and 'other_liability'

Perhaps these static domain kind validations need revisiting such as to allow national accounting plan or site local rules to be specified.
msg38895 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-03-09.13:08:03
You are mixing two concept. The kind of account which is a pure invention of Tryton to ease the usage and the type which is actually the GL or PL usage.

So if a user need to use an account for this usage, he just has to change it.

Also it duplicate issue3229
msg38894 (view) Author: [hidden] (yangoon) Date: 2018-03-09.13:00:32
> In any event, I would like to know of which, if any, accounting plan considers an advanced payment 'revenue' as it can be no other than a liability (or debt) until invoicing, which consequently deducts the advance from the amount due.

Confirming that in Germany advanced payments are liabilities until being transformed into revenue when used for payment.
msg38893 (view) Author: [hidden] (risto3) Date: 2018-03-09.12:21:02
With the French Account Plan having account 4191xx "Clients - Avances et acomptes re├žus sur commandes" with kind = 'other', the domain restriction 'revenue' make unusable this module
(and its possible brother purchase_advance_payment which is currently missing)

Worst, can't even override this directly in a sale or invoice (like in OpenERP), because of the same domain processing in account_invoice! There we create a fictitious non stockable product with the account needed (4191xx/4091xx for sales/purchase invoices).

In any event, I would like to know of which, if any, accounting plan considers an advanced payment 'revenue' as it can be no other than a liability (or debt) until invoicing, which
consequently deducts the advance from the amount due.

In order to simplify cases involving non pure revenue accounts such as retention (Issue6830), mandates, advances, consignments, et cetera, to at least, with respect to the French Plan, kind='other' should be used for the accounts and 'other' added to the affected domain validation clauses.
History
Date User Action Args
2018-05-09 01:31:27cedsetstatus: chatting -> closed
2018-04-28 11:46:13cedsetstatus: closed -> chatting
messages: + msg40446
2018-03-09 15:35:10cedsetstatus: chatting -> closed
2018-03-09 15:30:18risto3setstatus: closed -> chatting
messages: + msg38899
2018-03-09 13:08:04cedsetstatus: chatting -> closed
superseder: + Allow 'other' in invoice line account
messages: + msg38895
nosy: + ced
2018-03-09 13:00:33yangoonsetstatus: unread -> chatting
nosy: + yangoon
messages: + msg38894
2018-03-09 12:21:02risto3create

Showing 10 items. Show all history (warning: this could be VERY long)